GDB (xrefs)

Public Attributes | List of all members
dwz_file Struct Reference

## Public Attributes
struct dwarf2_section_info | abbrev
struct dwarf2_section_info | info
struct dwarf2_section_info | str
struct dwarf2_section_info | line
struct dwarf2_section_info | macro
struct dwarf2_section_info | gdb_index
struct dwarf2_section_info | debug_names
bfd * | dwz_bfd

## Detailed Description

Definition at line 1201 of file dwarf2read.c.

## Member Data Documentation

## ◆ abbrev

struct dwarf2_section_info dwz_file::abbrev

Definition at line 1204 of file dwarf2read.c.

Referenced by create_all_comp_units(), get_abbrev_section_for_cu(), locate_dwz_sections(), and read_attribute().

## ◆ debug_names

struct dwarf2_section_info dwz_file::debug_names

Definition at line 1210 of file dwarf2read.c.

Referenced by dwarf2_read_debug_names(), and locate_dwz_sections().

## ◆ dwz_bfd

bfd* dwz_file::dwz_bfd

Definition at line 1213 of file dwarf2read.c.

Referenced by dwarf2_get_dwz_file(), dwarf2_per_objfile_free(), dwarf2_read_debug_names(), dwarf2_read_index(), and read_indirect_string_from_dwz().

## ◆ gdb_index

struct dwarf2_section_info dwz_file::gdb_index

Definition at line 1209 of file dwarf2read.c.

Referenced by dwarf2_read_index(), and locate_dwz_sections().

## ◆ info

struct dwarf2_section_info dwz_file::info

Definition at line 1205 of file dwarf2read.c.

Referenced by create_all_comp_units(), create_cus_from_debug_names(), create_cus_from_index(), and locate_dwz_sections().

## ◆ line

struct dwarf2_section_info dwz_file::line

Definition at line 1207 of file dwarf2read.c.

Referenced by dwarf_decode_macro_bytes(), get_debug_line_section(), and locate_dwz_sections().

## ◆ macro

struct dwarf2_section_info dwz_file::macro

Definition at line 1208 of file dwarf2read.c.

Referenced by dwarf_decode_macro_bytes(), and locate_dwz_sections().

## ◆ str

struct dwarf2_section_info dwz_file::str

Definition at line 1206 of file dwarf2read.c.

Referenced by locate_dwz_sections(), and read_indirect_string_from_dwz().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c